Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.0.0   

Description

The user autocompleter, e.g. in the watcher or project membership UIs, doesn't handle last names with spaces well. E.g. a user with

firstname "Leonardo" and lastname "da Vinci" would not be found, when searching for "Leonardo da Vinci".

The reason is that the search term will be split into "Leonardo da" and "Vinci" and "Leonardo da" will not be found in any database

column.

The attached patch changes the Principal.like scope, so that the search term is split at any white space.

Associated revisions

Revision 17259 - 2018-04-07 08:39 - Go MAEDA

Support for lastnames with spaces in user autocompleters (#28154).

Patch by Gregor Schmidt.

History

#1 - 2018-02-08 10:41 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#2 - 2018-04-03 13:17 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.0

Setting target version to 4.1.0.

#3 - 2018-04-07 08:41 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for the improvement.
